MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004950ATutorTests/Surveyspublic2012-02-06 09:212012-07-26 09:59
Reportergreg 
Assigned Togreg 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version2.1 
Summary0004950: Test Submit in IE9
DescriptionThe button to confirm a test submission is not working in IE9, apparently a jQuery issues. Try the fix provided here:

http://www.atutor.ca/view/3/22846/1.html [^]
TagsNo tags attached.
Affects versionSVN
SVN Revision#eab7845..17d3f52 atutor_2_0_3-multisite -> atutor_2_0_3-multisite
Attached Files

- Relationships
has duplicate 0004983closedcindy submit test with IE9/Windows7 

-  Notes
(0005541)
greg (administrator)
2012-02-06 09:22

Work around is below for /mods/_standard/tests/lib/take_test.js script:

function confirmSubmit(input, confirmMsg){
    input_button = jQuery(input);
    submit_row = input_button.parent();
    //jquery submit button alternation
    input_button.attr('id', 'submit_test');
    //input_button.removeAttr('onclick');
     input_button.attr('onclick',''); //achayka; this is the fix for not working {removeAttr('onclick')} under IE9; If not removed it appends message record whether you're clicking on msg or submit button without submitting the record
    //label for the modified submit button
    input_label = jQuery('<label>').attr('for', 'submit_test');
    input_label.text(confirmMsg);

    submit_row.prepend(jQuery('
'));
    submit_row.prepend(input_label);
}
(0005631)
greg (administrator)
2012-07-10 15:23

instead added
    input_button.prop("onclick", null);

to accomodate IE9
(0005632)
greg (administrator)
2012-07-10 15:23

added input_button.prop("onclick", null); to accomodate IE9
(0005744)
greg (administrator)
2012-07-26 09:59

close for ATutor 2.1

- Issue History
Date Modified Username Field Change
2012-02-06 09:21 greg New Issue
2012-02-06 09:22 greg Note Added: 0005541
2012-06-05 09:12 greg Relationship added has duplicate 0004983
2012-07-10 13:31 greg Assigned To => greg
2012-07-10 13:31 greg Status new => assigned
2012-07-10 15:23 greg Note Added: 0005631
2012-07-10 15:23 greg SVN Revision# => eab7845..17d3f52 atutor_2_0_3-multisite -> atutor_2_0_3-multisite
2012-07-10 15:23 greg Note Added: 0005632
2012-07-10 15:23 greg Status assigned => resolved
2012-07-10 15:23 greg Fixed in Version => 2.1
2012-07-10 15:23 greg Resolution open => fixed
2012-07-26 09:59 greg Note Added: 0005744
2012-07-26 09:59 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker